Bug 1373504 (CVE-2016-7157) - CVE-2016-7157 Qemu: scsi: mptsas: invalid memory access while building configuration pages
Summary: CVE-2016-7157 Qemu: scsi: mptsas: invalid memory access while building config...
Status: CLOSED CURRENTRELEASE
Alias: CVE-2016-7157
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160831,reported=2...
Keywords: Security
Depends On: 1373505
Blocks: 1370223
TreeView+ depends on / blocked
 
Reported: 2016-09-06 12:39 UTC by Prasad J Pandit
Modified: 2018-01-24 08:42 UTC (History)
37 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-24 10:17:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Prasad J Pandit 2016-09-06 12:39:22 UTC
Quick emulator(Qemu) built with the LSI SAS1068 Host Bus emulation support,
is vulnerable to an invalid memory access issue. It could occur while building
configuration page headers in 'mptsas_config_manufacturing_1'.

A privileged user inside guest could use this flaw to crash the Qemu process
instance on the host resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-08/msg04295.html
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-08/msg04296.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/09/06/4

Comment 1 Prasad J Pandit 2016-09-06 12:39:56 UTC
Acknowledgments:

Name: Victor V (360.cn Marvel Team)

Comment 2 Prasad J Pandit 2016-09-06 12:40:58 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1373505]


Note You need to log in before you can comment on or make changes to this bug.